"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var utils_1 = require("../utils");
var package_json_1 = tslib_1.__importDefault(require("../../../package.json"));
var WorkspacesMessages = /** @class */ (function () {
    function WorkspacesMessages() {
        this.introduce = function () { return utils_1.underline(package_json_1.default.name + " v" + package_json_1.default.version); };
        this.running = function (name) { return utils_1.details("Running " + name); };
        this.compiling = function () { return "\n" + utils_1.info('Compiling modules...'); };
        this.compiled = function (name) { return utils_1.success("Compiled " + name); };
        this.failed = function () { return utils_1.error("Failed to compile workspaces"); };
        this.tested = function (name) { return utils_1.success("Tested " + name); };
        this.testing = function () { return "\n" + utils_1.info('Testing modules...'); };
        this.successful = function (_a) {
            var _b = tslib_1.__read(_a, 2), s = _b[0], ms = _b[1];
            return utils_1.success('Done in ') + utils_1.highlight(s + "." + ms.toString().slice(0, 3) + "s.");
        };
    }
    return WorkspacesMessages;
}());
exports.WorkspacesMessages = WorkspacesMessages;
